Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.routing.outbound
Class StaticRecipientList

    java.lang.Object
      org.mule.processor.AbstractMessageProcessorOwner
          org.mule.routing.outbound.AbstractOutboundRouter
              org.mule.routing.outbound.FilteringOutboundRouter
                  org.mule.routing.outbound.AbstractRecipientList
                      org.mule.routing.outbound.StaticRecipientList

All Implemented Interfaces:
  FlowConstructAware, MuleContextAware, Disposable, Initialisable, Lifecycle, Startable, Stoppable, MessageProcessor, MessageRouter, Matchable, MatchableMessageProcessor, MatchableMessageRouter, OutboundRouter, RouterStatisticsRecorder, TransformingMatchable

    public class StaticRecipientList

extends AbstractRecipientList

`StaticRecipientList` is used to dispatch a single event to multiple recipients over the same transport. The recipient targets for this router can be configured statically on the router itself.

Field Summary
`static String` | `RECIPIENT_DELIMITER`
`static String` | `RECIPIENTS_PROPERTY`

Fields inherited from class org.mule.routing.outbound.AbstractRecipientList
`logger`

Fields inherited from class org.mule.routing.outbound.FilteringOutboundRouter
`expressionManager`

Fields inherited from class org.mule.routing.outbound.AbstractOutboundRouter
`enableCorrelation, initialised, magicProperties, replyTo, resultsHandler, routes, started, transactionConfig`

Fields inherited from class org.mule.processor.AbstractMessageProcessorOwner
`flowConstruct, muleContext`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`StaticRecipientList()`

Method Summary
`protected String` | `getListDelimiter()` Overloading classes can change the delimiter used to separate entries in the recipient list.
`List` | `getRecipients()`
`protected List` | `getRecipients(MuleEvent event)`
`void` | `setRecipients(List recipients)`

Methods inherited from class org.mule.routing.outbound.AbstractRecipientList
`getRecipientEndpoint, getRecipientEndpointFromString, getRecipientEndpointFromUri, getSynchronous, isDynamicRoutes, route, setSynchronous`

Methods inherited from class org.mule.routing.outbound.FilteringOutboundRouter
`addRoute, getFilter, getRoute, getTransformers, initialise, isMatch, isTransformBeforeMatch, isUseTemplates, setFilter, setTransformers, setUseTemplates`

Methods inherited from class org.mule.routing.outbound.AbstractOutboundRouter
`cloneMessage, createEventToRoute, dispose, getEnableCorrelation, getMuleContext, getOwnedMessageProcessors, getReplyTo, getResultsHandler, getRoute, getRouterStatistics, getRoutes, getTransactionConfig, process, propagateMagicProperties, removeRoute, sendRequest, sendRequestEvent, setEnableCorrelation, setEnableCorrelationAsString, setMessageProcessors, setMessageProperties, setReplyTo, setResultsHandler, setRouterStatistics, setRoutes, setTransactionConfig, start, stop`

Methods inherited from class org.mule.processor.AbstractMessageProcessorOwner
`setFlowConstruct, setMuleContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.api.processor.MessageRouter
`addRoute, removeRoute`

Methods inherited from interface org.mule.api.processor.MessageProcessor
`process`

Methods inherited from interface org.mule.api.context.MuleContextAware
`setMuleContext`

Methods inherited from interface org.mule.api.construct.FlowConstructAware
`setFlowConstruct`

Field Detail

### RECIPIENTS_PROPERTY

    public static final String RECIPIENTS_PROPERTY

See Also:
  Constant Field Values

### RECIPIENT_DELIMITER

    public static final String RECIPIENT_DELIMITER

See Also:
  Constant Field Values

Constructor Detail

### StaticRecipientList

    public StaticRecipientList()

Method Detail

### getRecipients

    protected List getRecipients(MuleEvent event)

  Specified by:
    `getRecipients` in class `AbstractRecipientList`

### getRecipients

    public List getRecipients()

### setRecipients

    public void setRecipients(List recipients)

### getListDelimiter

    protected String getListDelimiter()

  Overloading classes can change the delimiter used to separate entries in the recipient list. By default a ',' is used.

  Returns:
    The list delimiter to use

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.